Bug 1204667 - Email id with latin,utf-8 is not accepted while creating user
Summary: Email id with latin,utf-8 is not accepted while creating user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.1.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Amir
QA Contact: Sanket Jagtap
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-23 10:32 UTC by Tazim Kolhar
Modified: 2019-04-01 20:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:01:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 12543 0 Normal Closed Email id with latin,utf-8 is not accepted while creating user 2020-02-25 15:13:55 UTC

Description Tazim Kolhar 2015-03-23 10:32:27 UTC
Description of problem:
Email id with latin,utf-8 is not accepted while creating user

Version-Release number of selected component (if applicable):
# rpm -q foreman
foreman-1.7.2.13-1.el7sat.noarch


How reproducible:
everytime

Steps to Reproduce:
1.#  hammer -v -u admin -p changeme --output=csv user create --firstname="8ugfuf1BFN" --lastname="0yWWyrdyMY" --password="yjaepmzj2z" --auth-source-id="1" --mail="择﷐[U+3AA37]﷑﷐[U+10CF69]﷑﷐[U+E9F5F]﷑﷐[U+53AE7]﷑﷐[U+D27C0]﷑﷐[U+78E3D]﷑﷐[U+1912D]﷑﷐[U+30F94]﷑﷐[U+26E96]﷑@somemail.com" --login="zf8jUe"
[ERROR 2015-03-23 06:27:54 Exception] Email address is invalid
Could not create the user:
  Email address is invalid

2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 RHEL Program Management 2015-03-23 10:43:06 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Brad Buckingham 2015-11-19 23:08:13 UTC
Created redmine issue http://projects.theforeman.org/issues/12543 from this bug

Comment 4 Bryan Kearney 2015-11-20 01:03:57 UTC
Upstream bug component is Provisioning

Comment 5 Bryan Kearney 2015-11-20 09:04:32 UTC
Upstream bug component is Users & Roles

Comment 7 Bryan Kearney 2016-07-08 20:32:52 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 9 Bryan Kearney 2016-10-31 10:06:14 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/12543 has been resolved.

Comment 10 Bryan Kearney 2017-08-01 20:03:00 UTC
The fix to this bug will be delivered with release 6.3 of Satellite.

Comment 11 Og Maciel 2017-08-15 13:54:09 UTC
LANG=en_US.UTF-8  hammer -v -u admin -p changeme --output=csv user create --firstname="Qhozq1p24I" --lastname="wS0KY8o8U6" --password="D1u52bMAVg" --auth-source-id="1" --mail="ÕÈÑíïôÛãÀÓ@somemail.com" --login="brFEau"[ERROR 2017-08-15 09:52:21 API] 422 Unprocessable Entity
[ERROR 2017-08-15 09:52:21 Exception] Email address is invalid
Could not create the user:
  Email address is invalid

Comment 12 Og Maciel 2017-08-15 14:31:35 UTC
This is failing via hammer cli with Satellite 6.3.0 Compose 11.0

Comment 13 pm-sat@redhat.com 2017-08-15 16:08:01 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 14 pm-sat@redhat.com 2017-08-15 16:08:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/12543 has been resolved.

Comment 15 pm-sat@redhat.com 2017-08-24 20:08:09 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/12543 has been resolved.

Comment 16 pm-sat@redhat.com 2017-08-29 18:07:57 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/12543 has been resolved.

Comment 17 Tomer Brisker 2017-11-22 13:03:23 UTC
Looks like this fix depended on a newer version of the mail gem then we shipped, opened issue upstream to bump the dependency.

Comment 18 pm-sat@redhat.com 2017-11-22 13:09:48 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 19 pm-sat@redhat.com 2017-11-22 13:09:52 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 24 pm-sat@redhat.com 2017-12-03 21:09:18 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 26 Sanket Jagtap 2017-12-07 10:26:43 UTC
Build: Satellite 6.3.0 snap 27 

LANG=en_US.UTF-8  hammer -v -u admin -p changeme --output=csv user create --firstname="U8D5zhdpy8" --lastname="aWPKjX4Xdu" --password="32j8xHgqwz" --auth-source-id="1" --mail="ÑùøÚõÇêþíÞ@somemail.com" --login="QHGvzg"
Message,Id
User [QHGvzg] created,4

hammer> user info --id 4
Id:                    4
Login:                 QHGvzg
Name:                  U8D5zhdpy8 aWPKjX4Xdu
Email:                 ÑùøÚõÇêþíÞ@somemail.com
Admin:                 no
Last login:            
Authorized by:         Internal
Effective admin:       no
Locale:                default
Timezone:              default
Description:           
Default organization:  
Default location:      
Roles:                 
    Default role
User groups:           

Inherited User groups: 

Created at:            2017/12/07 10:25:01
Updated at:            2017/12/07 10:25:01

Comment 27 Bryan Kearney 2018-02-21 17:01:11 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.